<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar
        color="primary"
        glossy
      >
        <q-icon
          name="fa-solid fa-person-running"
          size="sm"
          aria-label="Running person"
        />

        <q-toolbar-title> Zátopek </q-toolbar-title>

        <div>Running on Quasar v{{ $q.version }}</div>
      </q-toolbar>

      <q-tabs color="transparent">
        <q-route-tab name="tab-register" icon="fas fa-user-plus" to="register">
          {{$t('default.register')}}
        </q-route-tab>
        <q-route-tab name="tab-tables" icon="fas fa-table" to="tables">
          {{$t('default.tables')}}
        </q-route-tab>
        <q-route-tab name="tab-results" icon="fas fa-trophy" to="results">
          {{$t('default.results')}}
        </q-route-tab>
        <q-route-tab name="tab-settings" icon="fas fa-cog" to="settings">
          {{$t('default.settings')}}
        </q-route-tab>
      </q-tabs>
    </q-header>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'MainLayout',
});
</script>
